diff --git a/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js b/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
index 5300055..ff2e0c3 100644
--- a/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
+++ b/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
@@ -229,7 +229,8 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
            // We will execute this function when user clicks on the OK button
            function(evt, value) {
              // If user has provided a value, send it to the server
-             if(!_.isUndefined(value) && !_.isNull(value) && value !== '') {
+             if(!_.isUndefined(value) && !_.isNull(value) && value !== ''
+                && String(value).replace(/^\s+|\s+$/g, '') !== '') {
               $.ajax({
                 url: obj.generate_url(i, 'restore_point', d, true),
                 method:'POST',
@@ -248,6 +249,7 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
                 }
               });
              } else {
+                evt.cancel = true;
                 alertify.error('{{ _('Please enter a valid name.') }}', 10);
              }
            }
